<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <!-- See https://goo.gl/OOhYW5 -->
  <link rel="manifest" href="/manifest.json">

  <!-- See https://goo.gl/qRE0vM -->
  <meta name="theme-color" content="#42a5f5">

  <!-- Add to homescreen for Chrome on Android. Fallback for manifest.json -->
  <meta name="mobile-web-app-capable" content="yes">
  <meta name="application-name" content="Get all the information you doesn't know you wanted !">

  <!-- Add to homescreen for Safari on iOS -->
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
  <meta name="apple-mobile-web-app-title" content="News feed 📰">

  <!-- Homescreen icons -->
  <link rel="apple-touch-icon" href="/images/manifest/icon-48x48.png">
  <link rel="apple-touch-icon" sizes="72x72" href="/images/manifest/icon-72x72.png">
  <link rel="apple-touch-icon" sizes="96x96" href="/images/manifest/icon-96x96.png">
  <link rel="apple-touch-icon" sizes="144x144" href="/images/manifest/icon-144x144.png">
  <link rel="apple-touch-icon" sizes="192x192" href="/images/manifest/icon-192x192.png">

  <!-- Tile icon for Windows 8 (144x144 + tile color) -->
  <meta name="msapplication-TileImage" content="/images/manifest/icon-144x144.png">
  <meta name="msapplication-TileColor" content="#42a5f5">
  <meta name="msapplication-tap-highlight" content="no">

  <title data-base="TodosApp">TodosApp</title>
  <meta name="description" content="Get all the information you doesn't know you wanted !">
  <script>
    if ('serviceWorker' in navigator) {
      // window.addEventListener('load', function() {
      //   let refreshing = false;
      //   let newWorker = null;
      //   navigator.serviceWorker.register('/service-worker.js', {
      //     scope: '/'
      //   }).then(function(registration) {
      //     setInterval(() => {
      //       console.log('Checking for new service workder');
      //       registration.update();
      //     }, 10 * 1000);

      //     if (registration.waiting && navigator.serviceWorker.controller) {
      //       newWorker = registration.waiting;
      //       const response = confirm('A new version of your application is awaiable, would you like to update ?');
      //       if (response) newWorker.postMessage({ type: 'SKIP_WAITING' });
      //     }

      //     registration.addEventListener('updatefound', () => {
      //       console.log('Service Worker update detected');
      //       newWorker = registration.installing;
      //       newWorker.addEventListener('statechange', () => {
      //         if (newWorker.state === 'installed' && navigator.serviceWorker.controller) {
      //           const response = confirm('A new version of your application is available, would you like to update ?');
      //           if (response) newWorker.postMessage({ type: 'SKIP_WAITING' });
      //         }
      //       })
      //     });

      //     navigator.serviceWorker.addEventListener('controllerchange', () => {
      //       if (refreshing) return;
      //       window.location.reload();
      //       refreshing = true;
      //     });
      //   });
      // });
    } else {
      console.log('Service worker not supported !!!!!!!!');
    }
  </script>
  <style>
    /*
      Css variables declaration
    */
    :root {
      --app-bg: #fefefe;
      --app-grey: #E2E2E2;
      --app-bg-primary: #FD6C9E;
    }

    /*
      Reset css
    */
    *, *::before, *::after {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }
    html, body {
      height: 100%;
      width: 100%;
      background-color: var(--app-bg);
      font-family: sans-serif;
    }

    /*
      Handling active pages for navigation
    */
    [page] { display: none; }
    [page][active] { display: block; }
    
    [hidden] { display: none !important; }
    
    /*
      First meaningful pain
    */
    section#first-meaningful-paint header {
      height: 56px;
      width: 100%;
      background-color: var(--app-bg-primary);
    }

    /* 
      Skeleton style
    */
    .skeleton.todo {
      min-height: 30vh;
      background-color: var(--app-grey);
      margin-top: 1rem;
      position: relative;
    }
    .skeleton.todo::after {
      content: '';
      position: absolute;
      top: 0;
      width: 100%;
      height: 100%;
      transform: translateX(-100%);
      background: linear-gradient(90deg, transparent, rgba(255, 255, 255, 0.6), transparent);
      animation: loading 1s infinite;
    }
    /* Create animation for skeleton */
    @keyframes loading {
      100% {
        transform: translateX(100%);
      }
    }
  </style>
  <link rel="preload" href="/style/components.css" as="style">
</head>
<body>

  <section id="first-meaningful-paint">
    <header></header>
    <section class="skeleton todo"></section>
    <section class="skeleton todo"></section>
  </section>

  <section id="app">
    <header></header>
    <main>
      <!-- Todos pages -->
      <section page="todos-list"></section>
      <section page="todos-show"></section>
      <section page="todos-create"></section>
      
      <!-- ... Others goes here -->

    </main>
  </section>

  <script type="module" src="/js/app.js"></script>
  <link rel="stylesheet" href="/style/components.css">
</body>
</html>


